[SCM] Debian Live build scripts branch, master, updated. 1.0.1-1-61-g55fcdd2

Daniel Baumann daniel at debian.org
Fri Oct 31 05:45:59 UTC 2008


The following commit has been merged in the master branch:
commit 55fcdd286d9f1ba859c2149fdc26b6239cb39e87
Author: Daniel Baumann <daniel at debian.org>
Date:   Fri Oct 31 06:45:05 2008 +0100

    Updating signals in exit and lockfile traps.

diff --git a/functions/exit.sh b/functions/exit.sh
index 022c0bf..e7e7b11 100755
--- a/functions/exit.sh
+++ b/functions/exit.sh
@@ -27,5 +27,5 @@ Exit ()
 Setup_cleanup ()
 {
 	Echo_message "Setting up cleanup function"
-	trap 'Exit' INT TERM HUP EXIT
+	trap 'Exit' EXIT HUP INT QUIT TERM
 }
diff --git a/functions/lockfile.sh b/functions/lockfile.sh
index f486ec9..93da69e 100755
--- a/functions/lockfile.sh
+++ b/functions/lockfile.sh
@@ -28,7 +28,7 @@ Create_lockfile ()
 	mkdir -p "${DIRECTORY}"
 
 	# Creating lock trap
-	trap 'ret=${?}; '"rm -f \"${FILE}\";"' exit ${ret}' EXIT
+	trap 'ret=${?}; '"rm -f \"${FILE}\";"' exit ${ret}' EXIT HUP INT QUIT TERM
 
 	# Creating lock file
 	touch "${FILE}"

-- 
Debian Live build scripts



More information about the debian-live-changes mailing list